<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>scripts.multiple_candidates.scripts_select.c_compute_chi2.load_objects &mdash; RDstar_light  documentation</title>
      <link rel="stylesheet" href="../../../../../_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="../../../../../_static/css/theme.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="../../../../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../../../../../" id="documentation_options" src="../../../../../_static/documentation_options.js"></script>
        <script src="../../../../../_static/jquery.js"></script>
        <script src="../../../../../_static/underscore.js"></script>
        <script src="../../../../../_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="../../../../../_static/doctools.js"></script>
    <script src="../../../../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../../../../genindex.html" />
    <link rel="search" title="Search" href="../../../../../search.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="../../../../../index.html" class="icon icon-home"> RDstar_light
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../../../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../../../../../lib.html">lib package</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../../../scripts.html">scripts.multiple_candidates package</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../../../../index.html">RDstar_light</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../../../../index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="../../../../index.html">Module code</a> &raquo;</li>
      <li>scripts.multiple_candidates.scripts_select.c_compute_chi2.load_objects</li>
      <li class="wy-breadcrumbs-aside">
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <h1>Source code for scripts.multiple_candidates.scripts_select.c_compute_chi2.load_objects</h1><div class="highlight"><pre>
<span></span><span class="sd">&quot;&quot;&quot; Functions used to load the objects needs for the script</span>
<span class="sd">:py:mod:`multiple_candidates.scripts_select.c_compute_chi2.run`</span>
<span class="sd">&quot;&quot;&quot;</span>
<span class="kn">import</span> <span class="nn">os.path</span> <span class="k">as</span> <span class="nn">op</span>

<span class="kn">import</span> <span class="nn">ROOT</span>

<span class="kn">from</span> <span class="nn">config</span> <span class="kn">import</span> <span class="n">dict_objects</span><span class="p">,</span> <span class="n">fit_result_dir</span>


<div class="viewcode-block" id="get_fit_result_dir"><a class="viewcode-back" href="../../../../../scripts.multiple_candidates.scripts_select.c_compute_chi2.html#scripts.multiple_candidates.scripts_select.c_compute_chi2.load_objects.get_fit_result_dir">[docs]</a><span class="k">def</span> <span class="nf">get_fit_result_dir</span><span class="p">(</span>
        <span class="n">eosdir</span><span class="p">:</span> <span class="nb">str</span><span class="p">,</span> <span class="n">year</span><span class="p">:</span> <span class="nb">str</span><span class="p">,</span> <span class="n">ffmodel</span><span class="p">:</span> <span class="nb">str</span><span class="p">,</span> <span class="n">mulcan</span><span class="p">:</span> <span class="nb">str</span> <span class="o">=</span> <span class="s2">&quot;&quot;</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="nb">str</span><span class="p">:</span>
    <span class="sd">&quot;&quot;&quot; Get the folder path where the fit results are located.</span>

<span class="sd">    Args:</span>
<span class="sd">        eosdir: path to the EOS directory</span>
<span class="sd">        year: ``2016``, ``2017`` or ``2018``</span>
<span class="sd">        ffmodel: ``CLN`` or ``BGL``</span>
<span class="sd">        mulcan: relative path where the fit results that deal with</span>
<span class="sd">            multiple candidates separately are located</span>

<span class="sd">    Returns:</span>
<span class="sd">        path to the folder that contains all the fit results</span>
<span class="sd">        for the given ``year`` and ``ffmodel``</span>
<span class="sd">    &quot;&quot;&quot;</span>
    <span class="k">return</span> <span class="n">fit_result_dir</span><span class="o">.</span><span class="n">format</span><span class="p">(</span>
        <span class="n">eosdir</span><span class="o">=</span><span class="n">eosdir</span><span class="p">,</span> <span class="n">mulcan</span><span class="o">=</span><span class="n">mulcan</span><span class="p">,</span> <span class="n">year</span><span class="o">=</span><span class="n">year</span><span class="p">,</span> <span class="n">ffmodel</span><span class="o">=</span><span class="n">ffmodel</span>
    <span class="p">)</span></div>


<div class="viewcode-block" id="load_object"><a class="viewcode-back" href="../../../../../scripts.multiple_candidates.scripts_select.c_compute_chi2.html#scripts.multiple_candidates.scripts_select.c_compute_chi2.load_objects.load_object">[docs]</a><span class="k">def</span> <span class="nf">load_object</span><span class="p">(</span><span class="n">obj</span><span class="p">:</span> <span class="nb">str</span><span class="p">,</span> <span class="o">*</span><span class="n">args</span><span class="p">,</span> <span class="o">**</span><span class="n">kwargs</span><span class="p">):</span>
    <span class="sd">&quot;&quot;&quot; Load the fit result of the given ``year``, ``ffmodel`` and ``mulcan``</span>

<span class="sd">    Args:</span>
<span class="sd">        obj: name of the object to retrieve. It must be one of the keys of</span>
<span class="sd">            :py:data:`multiple_candidates.scripts_select.c_compute_chi2.dict_objects`.</span>
<span class="sd">        *args: passed to :py:func:`get_fit_result_dir` to</span>
<span class="sd">            determine the path where the object is located</span>
<span class="sd">        **kwargs: passed to :py:func:`get_fit_result_dir` to</span>
<span class="sd">            determine the path where the object is located</span>

<span class="sd">    Returns:</span>
<span class="sd">        :</span>

<span class="sd">        * object1, object2, ...: list of ROOT objects to load</span>
<span class="sd">        * infile: have to return it, otherwise ROOT has some memory issues ...</span>

<span class="sd">    &quot;&quot;&quot;</span>
    <span class="n">dict_obj</span> <span class="o">=</span> <span class="n">dict_objects</span><span class="p">[</span><span class="n">obj</span><span class="p">]</span>

    <span class="n">inpath</span> <span class="o">=</span> <span class="n">op</span><span class="o">.</span><span class="n">join</span><span class="p">(</span>
        <span class="n">get_fit_result_dir</span><span class="p">(</span><span class="o">*</span><span class="n">args</span><span class="p">,</span> <span class="o">**</span><span class="n">kwargs</span><span class="p">),</span>
        <span class="n">dict_obj</span><span class="p">[</span><span class="s2">&quot;file&quot;</span><span class="p">]</span> <span class="o">+</span> <span class="s2">&quot;.root&quot;</span>
    <span class="p">)</span>
    <span class="nb">print</span><span class="p">(</span><span class="n">dict_obj</span><span class="p">[</span><span class="s2">&quot;file&quot;</span><span class="p">])</span>
    <span class="nb">print</span><span class="p">(</span><span class="n">dict_obj</span><span class="p">[</span><span class="s2">&quot;ws&quot;</span><span class="p">])</span>
    <span class="n">infile</span> <span class="o">=</span> <span class="n">ROOT</span><span class="o">.</span><span class="n">TFile</span><span class="p">(</span><span class="n">inpath</span><span class="p">,</span> <span class="s2">&quot;READ&quot;</span><span class="p">)</span>
    <span class="nb">print</span><span class="p">(</span><span class="s2">&quot;Open&quot;</span><span class="p">,</span> <span class="n">infile</span><span class="p">)</span>
    <span class="n">workspace</span> <span class="o">=</span> <span class="n">infile</span><span class="o">.</span><span class="n">Get</span><span class="p">(</span><span class="n">dict_obj</span><span class="p">[</span><span class="s2">&quot;ws&quot;</span><span class="p">])</span>
    <span class="c1"># return infile.Get(dict_obj[&quot;ws&quot;])</span>
    <span class="c1"># # infile.Close()</span>
    <span class="k">if</span> <span class="nb">isinstance</span><span class="p">(</span><span class="n">dict_obj</span><span class="p">[</span><span class="s2">&quot;obj&quot;</span><span class="p">],</span> <span class="nb">str</span><span class="p">):</span>
        <span class="k">return</span> <span class="n">workspace</span><span class="o">.</span><span class="n">obj</span><span class="p">(</span><span class="n">dict_obj</span><span class="p">[</span><span class="s2">&quot;obj&quot;</span><span class="p">]),</span> <span class="n">infile</span>
    <span class="k">else</span><span class="p">:</span>
        <span class="k">return</span> <span class="nb">tuple</span><span class="p">(</span>
            <span class="p">[</span><span class="n">workspace</span><span class="o">.</span><span class="n">obj</span><span class="p">(</span><span class="n">obs_name</span><span class="p">)</span> <span class="k">for</span> <span class="n">obs_name</span> <span class="ow">in</span> <span class="n">dict_obj</span><span class="p">[</span><span class="s2">&quot;obj&quot;</span><span class="p">]]</span>
        <span class="p">),</span> <span class="n">infile</span></div>
</pre></div>

           </div>
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright .</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>